#ifndef AUDIOWIDGET_H
#define AUDIOWIDGET_H

#include <QObject>
#include <QWidget>
#include <QVBoxLayout>
#include "audiomasterwidget.h"
#include "audiolayerwidget.h"
#include "defines.h"

class AudioWidget : public QWidget
{
    Q_OBJECT

public:
    AudioWidget(QWidget *parent);

private:
    QHBoxLayout *layout;

signals:
    
public slots:
    void mediaLoaded(int layer, QString media);
    void volChanged(int layer, qreal vol);
    void playbackChanged(int layer, QAudio::State state);
    void layerReceived(int layer);
};

#endif // AUDIOWIDGET_H
