#ifndef SETTINGS_H
#define SETTINGS_H

#include <QObject>
#include <QXmlStreamReader>
#include <QFile>
#include <QMessageBox>

#include "olathread.h"
#include "medialibrary.h"
#include "defines.h"

class Settings : public QObject
{
    Q_OBJECT
public:
    explicit Settings(QObject *parent = 0);
    void readFromFile(QString file);
    void readDefaultFile();
    
signals:
    void pathChanged(QString path);
    void layersNumber(int number);
    void DMXConf(dmxSetting universe);

public slots:
    
};

#endif // SETTINGS_H
